# Review at https://bugzilla.redhat.com/show_bug.cgi?id=620191

Name:           clawsker
Version:        0.7.11
Release:        1%{?dist}
Summary:        Dialog to edit Claws Mail's hidden preferences

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.claws-mail.org/clawsker
Source0:        http://www.claws-mail.org/tools/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  /usr/bin/pod2man
Requires:       claws-mail

%description
Clawsker is a Perl-GTK2 applet to edit hidden preferences for Claws Mail, and 
to do it in a safe and user friendly way, preventing users from raw editing of 
configuration files.

Claws Mail is a fast and lightweight Mail User Agent by the Claws Mail Team.


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    %{SOURCE1}


%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.old COPYING NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jun 13 2014 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.11-1
- Update to 0.7.11 (#1106424)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.7.2-7
- Perl 5.18 rebuild

* Mon Feb 18 2013 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-6
- BR /usr/bin/pod2man for manpage generation
- Fix bogus dates in changelog
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 15 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 14 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-2
- No longer require perl(Gtk2) and perl(Locale::gettext)

* Sat Jun 26 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-1
- Initial package

